<?php
if (!defined("ROOT_PATH"))
{
	header("HTTP/1.1 403 Forbidden");
	exit;
}
class pjFront extends pjAppController
{
	public $defaultCaptcha = 'StivaSoftCaptcha';
	
	public $defaultLocale = 'front_locale_id';
	
	public $defaultLangMenu = 'pjEBCal_LangMenu';
	
	public function __construct()
	{
		if($_GET['action'] != 'pjActionCancel')
		{
			$this->setLayout('pjActionFront');
		}else{
			$this->setLayout('pjActionCancel');
		}
		self::allowCORS();
	}

	public function afterFilter()
	{		
		if (!isset($_GET['hide']) || (isset($_GET['hide']) && (int) $_GET['hide'] !== 1) &&
				in_array($_GET['action'], array('pjActionBookingSave', 'pjActionLoadEvents', 'pjActionLoadEventDetail', 'pjActionLoadBookingForm', 'pjActionLoadBookingSummary', 'pjActionGetPaymentForm')))
		{
			$locale_arr = pjLocaleModel::factory()->select('t1.*, t2.file, t2.title')
				->join('pjLocaleLanguage', 't2.iso=t1.language_iso', 'left')
				->where('t2.file IS NOT NULL')
				->orderBy('t1.sort ASC')->findAll()->getData();
				
			$this->set('locale_arr', $locale_arr);
		}
	}
	
	public function beforeFilter()
	{
		$OptionModel = pjOptionModel::factory();
		$this->option_arr = $OptionModel->getPairs($this->getForeignId());
		$this->set('option_arr', $this->option_arr);
		$this->setTime();

		if (!in_array($_GET['action'], array('pjActionLoadCss')))
		{
			if(isset($_GET['locale']) && (int) $_GET['locale'] > 0 && $_GET['locale'] != $this->pjActionGetLocale())
			{
				$_SESSION[$this->defaultLocale] = (int) $_GET['locale'];
				$this->loadSetFields(true);
			}else{
				$this->loadSetFields();
			}
		}
		if (!isset($_SESSION[$this->defaultLocale]))
		{
			$locale_arr = pjLocaleModel::factory()->where('is_default', 1)->limit(1)->findAll()->getData();
			if (count($locale_arr) === 1)
			{
				$this->setLocaleId($locale_arr[0]['id']);
			}
		}
		
		$category_arr = pjCategoryModel::factory()
			->select('t1.*, t2.content as category_name')
			->join('pjMultiLang', "t2.foreign_id = t1.id AND t2.model = 'pjCategory' AND t2.locale = '".$this->getLocaleId()."' AND t2.field = 'name'", 'left')
			->where("t1.status", 'T')
			->orderBy('t2.content ASC')
			->findAll()
			->getData();
		$this->set('category_arr', $category_arr);
	}
	
	public function beforeRender()
	{
		if (isset($_GET['iframe']))
		{
			$this->setLayout('pjActionIframe');
		}
	}
	
	public function pjActionCaptcha()
	{
		$this->setAjax(true);
		
		header("Cache-Control: max-age=3600, private");
		
		$Captcha = new pjCaptcha('app/web/obj/Anorexia.ttf', $this->defaultCaptcha, 6);
		$Captcha->setImage('app/web/img/button.png')->init(isset($_GET['rand']) ? $_GET['rand'] : null);
		exit;
	}

	public function pjActionCheckCaptcha()
	{
		$this->setAjax(true);
				
		if (!isset($_GET['captcha']) || empty($_GET['captcha']) || strtoupper($_GET['captcha']) != $_SESSION[$this->defaultCaptcha]){
			echo 'false';
		}else{
			echo 'true';
		}
		exit;
	}
	public function pjActionLocale()
	{
		$this->setAjax(true);
		$this->pjActionSetLocale($_GET['locale']);
		$this->loadSetFields(true);
		$category_arr = pjCategoryModel::factory()
			->select('t1.*, t2.content as category_name')
			->join('pjMultiLang', "t2.foreign_id = t1.id AND t2.model = 'pjCategory' AND t2.locale = '".$this->getLocaleId()."' AND t2.field = 'name'", 'left')
			->where("t1.status", 'T')
			->orderBy('t2.content ASC')
			->findAll()
			->getData();
		$this->set('category_arr', $category_arr);
	}
	public function pjActionSetLocale($locale)
	{
		if ((int) $locale > 0)
		{
			$_SESSION[$this->defaultLocale] = (int) $locale;
		}
		return $this;
	}
	
	public function pjActionGetLocale()
	{
		return isset($_SESSION[$this->defaultLocale]) && (int) $_SESSION[$this->defaultLocale] > 0 ? (int) $_SESSION[$this->defaultLocale] : FALSE;
	}
	
	public function pjActionLoadCss()
	{
		$layout_id = 1;
		if(intval($_GET['layout']) > 0 && in_array(intval($_GET['layout']), array(1, 2, 3, 4, 5)))
		{
			$layout_id = intval($_GET['layout']);
		}
		$arr = array(
				array('file' => 'front_layout_' . $layout_id . '.css', 'path' => PJ_CSS_PATH),
				array('file' => 'front_lib.css', 'path' => PJ_CSS_PATH)
		);
		header("Content-Type: text/css; charset=utf-8");
		foreach ($arr as $item)
		{
			ob_start();
			@readfile($item['path'] . $item['file']);
			$string = ob_get_contents();
			ob_end_clean();
				
			if ($string !== FALSE)
			{
				echo str_replace(
						array('../img/'),
						array(
								PJ_INSTALL_URL . PJ_IMG_PATH
						),
						$string
				) . "\n";
			}
		}
		exit;
	}
	
	public function pjActionLoad()
	{
		ob_start();
		header("Content-Type: text/javascript; charset=utf-8");
		
		if(isset($_GET['locale']) && $_GET['locale'] > 0)
		{
			$_SESSION[$this->defaultLangMenu] = 'hide';
			$this->pjActionSetLocale($_GET['locale']);
			$this->loadSetFields(true);
		}else{
			$_SESSION[$this->defaultLangMenu] = 'show';
		}
	}
	
	public function pjActionLoadEvents()
	{
		$this->setAjax(true);
		
		$pjEventModel = pjEventModel::factory();
		
		$pjEventModel->where("t1.status", 'T');
		
		if(isset($_GET['category_id']) && (int) $_GET['category_id'] > 0)
		{
			$pjEventModel->where('t1.category_id', $_GET['category_id']);
		}
		
		$pjEventModel->where("(t1.category_id IN(SELECT t5.id FROM `".pjCategoryModel::factory()->getTable()."` AS t5 WHERE t5.status = 'T') OR t1.category_id IS NULL)");
		if(isset($_GET['view']) && $_GET['view'] == 'list')
		{
			if(!isset($_GET['event_id']))
			{
				list($y, $n, $j) = explode("-", date("Y-n-j"));
				$midnight = mktime(0, 0, 0, $n, $j, $y);
				
				$pjEventModel->where("t1.event_start_ts >=", $midnight);
				
				if(isset($_GET['period']) && $_GET['period'] != '' && $_GET['period'] != 'all')
				{
					$where = pjUtil::getWherePeriod($_GET['period']);
					if($where != '')
					{
						$pjEventModel->where($where);
					}
				}
				
				$total = $pjEventModel->findCount()->getData();
				$rowCount = $this->option_arr['o_events_per_page'];
				$pages = ceil($total / $rowCount);
				$page = isset($_GET['page']) && (int) $_GET['page'] > 0 ? intval($_GET['page']) : 1;
				$offset = ((int) $page - 1) * $rowCount;
				if ($page > $pages)
				{
					$page = $pages;
				}
				$pjEventModel->limit($rowCount, $offset);
				$this->set('pages', $pages);
				$this->set('page', $page);
				$this->set('paginator', array('pages' => $pages, 'total' => $total));
			}else{
				$pjEventModel->where('t1.id', $_GET['event_id']);
			}
		}else{
			$month = (int)$_GET['month'];
			$year = (int)$_GET['year'];
			
			$firstDayOfMonth = mktime(0, 0, 0, $month, 1, $year);
			$lastDayOfMonth = mktime(23, 59, 59, $month + 1, 0, $year);
			
			$pjEventModel->where("((t1.event_start_ts BETWEEN $firstDayOfMonth AND $lastDayOfMonth) OR (t1.event_end_ts BETWEEN $firstDayOfMonth AND $lastDayOfMonth) OR (t1.event_start_ts < $firstDayOfMonth AND t1.event_end_ts > $lastDayOfMonth))");
		}
		$event_arr = $pjEventModel
			->select("t1.*, t6.content as category, t3.content as title, t4.content as event_description, t5.content as event_location, 
					(SELECT SUM(`TP`.available) FROM `".pjPriceModel::factory()->getTable()."` AS `TP` WHERE `TP`.event_id=t1.id) AS `total_avail`, 
					(SELECT SUM(`TBD`.cnt) FROM `".pjBookingDetailModel::factory()->getTable()."` AS `TBD` WHERE `TBD`.booking_id IN (SELECT `TB`.id FROM `".pjBookingModel::factory()->getTable()."` as `TB` WHERE `TB`.event_id = t1.id AND `TB`.booking_status ='confirmed')) AS `total_booked`")
			->join('pjCategory', 't2.id=t1.category_id', 'left outer')
			->join('pjMultiLang', "t3.foreign_id = t1.id AND t3.model = 'pjEvent' AND t3.locale = '".$this->getLocaleId()."' AND t3.field = 'title'", 'left')
			->join('pjMultiLang', "t4.foreign_id = t1.id AND t4.model = 'pjEvent' AND t4.locale = '".$this->getLocaleId()."' AND t4.field = 'description'", 'left')
			->join('pjMultiLang', "t5.foreign_id = t1.id AND t5.model = 'pjEvent' AND t5.locale = '".$this->getLocaleId()."' AND t5.field = 'location'", 'left')
			->join('pjMultiLang', "t6.foreign_id = t1.category_id AND t6.model = 'pjCategory' AND t6.locale = '".$this->getLocaleId()."' AND t6.field = 'name'", 'left')
			->orderBy('t1.event_start_ts ASC')
			->findAll()
			->getData();
		
		$event_date_arr = array();
		foreach ($event_arr as $v)
		{
			$start_date = date('Y-m-d', $v['event_start_ts']);
			$end_date = date('Y-m-d', $v['event_end_ts']);
			
			$event_field_arr = array();
			
			$event_field_arr['id'] = $v['id'];
			$event_field_arr['event_title'] = $v['title'];
			$event_field_arr['location'] = $v['event_location'];
			$event_field_arr['category'] = $v['category'];
			$event_field_arr['event_start_ts'] = $v['event_start_ts'];
			$event_field_arr['event_end_ts'] = $v['event_end_ts'];
			$event_field_arr['event_img'] = $v['event_img'];
			$event_field_arr['event_thumb'] = $v['event_thumb'];
			$event_field_arr['o_show_start_time'] = $v['o_show_start_time'];
			$event_field_arr['o_show_end_time'] = $v['o_show_end_time'];
			$event_field_arr['total_booked'] = $v['total_booked'];
			$event_field_arr['total_avail'] = $v['total_avail'];
			$event_field_arr['description'] = $v['event_description'];
			
			if($start_date == $end_date)
			{
				$event_date_arr[$start_date][] = $event_field_arr;
			}else{
				while($start_date <= $end_date)
				{
					$event_date_arr[$start_date][] = $event_field_arr;
					$start_date = date('Y-m-d', strtotime($start_date . '+1 day'));
				}
			}
		}
		$this->set('event_arr', $event_arr);
		$this->set('event_date_arr', $event_date_arr);
	}
	
	public function pjActionLoadEventDetail()
	{
		$this->setAjax(true);
		
		$date = $_GET['date'];
		$start_ts = strtotime($date . ' 00:00:00');
		$end_ts = strtotime($date . ' 23:59:59');
		$pjEventModel = pjEventModel::factory();
		
		$pjEventModel->where("((t1.event_start_ts BETWEEN $start_ts AND $end_ts) OR (t1.event_end_ts BETWEEN $start_ts AND $end_ts) OR (t1.event_start_ts <= $start_ts AND t1.event_end_ts >= $end_ts))");
		
		if(isset($_GET['category_id']) && (int) $_GET['category_id'] > 0)
		{
			$pjEventModel->where('t1.category_id', $_GET['category_id']);
		}
		
		$event_arr = $pjEventModel
			->select("t1.*, t2.content as category, t3.content as title, t4.content as event_description, t5.content as event_location, 
						(SELECT SUM(`TP`.available) FROM `".pjPriceModel::factory()->getTable()."` AS `TP` WHERE `TP`.event_id=t1.id) AS `total_avail`, 
						(SELECT SUM(`TBD`.cnt) FROM `".pjBookingDetailModel::factory()->getTable()."` AS `TBD` WHERE `TBD`.booking_id IN (SELECT `TB`.id FROM `".pjBookingModel::factory()->getTable()."` as `TB` WHERE `TB`.event_id = t1.id AND `TB`.booking_status ='confirmed')) AS `total_booked`")
			->join('pjMultiLang', "t2.foreign_id = t1.category_id AND t2.model = 'pjEvent' AND t2.locale = '".$this->getLocaleId()."' AND t2.field = 'name'", 'left')
			->join('pjMultiLang', "t3.foreign_id = t1.id AND t3.model = 'pjEvent' AND t3.locale = '".$this->getLocaleId()."' AND t3.field = 'title'", 'left')
			->join('pjMultiLang', "t4.foreign_id = t1.id AND t4.model = 'pjEvent' AND t4.locale = '".$this->getLocaleId()."' AND t4.field = 'description'", 'left')
			->join('pjMultiLang', "t5.foreign_id = t1.id AND t5.model = 'pjEvent' AND t5.locale = '".$this->getLocaleId()."' AND t5.field = 'location'", 'left')
			->orderBy('t1.event_start_ts ASC')
			->findAll()
			->getData();
		$this->set('event_arr', $event_arr);
	}
	
	public function pjActionView()
	{
		$this->setAjax(true);
		
		
		$pjEventModel = pjEventModel::factory();
		
		$arr = $pjEventModel
			->select("t1.*, t6.content as category, t3.content as title, t4.content as event_description, t5.content as event_location,
					(SELECT SUM(`TP`.available) FROM `".pjPriceModel::factory()->getTable()."` AS `TP` WHERE `TP`.event_id=t1.id) AS `total_avail`,
					(SELECT SUM(`TBD`.cnt) FROM `".pjBookingDetailModel::factory()->getTable()."` AS `TBD` WHERE `TBD`.booking_id IN (SELECT `TB`.id FROM `".pjBookingModel::factory()->getTable()."` as `TB` WHERE `TB`.event_id = t1.id AND `TB`.booking_status ='confirmed')) AS `total_booked`")
			->join('pjCategory', 't2.id=t1.category_id', 'left outer')
			->join('pjMultiLang', "t3.foreign_id = t1.id AND t3.model = 'pjEvent' AND t3.locale = '".$this->getLocaleId()."' AND t3.field = 'title'", 'left')
			->join('pjMultiLang', "t4.foreign_id = t1.id AND t4.model = 'pjEvent' AND t4.locale = '".$this->getLocaleId()."' AND t4.field = 'description'", 'left')
			->join('pjMultiLang', "t5.foreign_id = t1.id AND t5.model = 'pjEvent' AND t5.locale = '".$this->getLocaleId()."' AND t5.field = 'location'", 'left')
			->join('pjMultiLang', "t6.foreign_id = t1.category_id AND t6.model = 'pjCategory' AND t6.locale = '".$this->getLocaleId()."' AND t6.field = 'name'", 'left')
			->find($_GET['id'])
			->getData();
		
		$price_arr = pjPriceModel::factory()
			->select("t1.*, t2.content as price_name, (SELECT SUM(cnt) FROM `" .pjBookingDetailModel::factory()->getTable(). "` as `TBD` WHERE `TBD`.price_id = t1.id AND `TBD`.booking_id IN(SELECT `TB`.id FROM `".pjBookingModel::factory()->getTable()."` as `TB` WHERE `TB`.booking_status='confirmed')) as cnt_booked")
			->join('pjMultiLang', "t2.foreign_id = t1.id AND t2.model = 'pjPrice' AND t2.locale = '".$this->getLocaleId()."' AND t2.field = 'name'", 'left')
			->where('event_id', $_GET['id'])
			->findAll()
			->getData();
									
		$this->set('arr', $arr);
		$this->set('price_arr', $price_arr);
	}
	
	public function pjActionLoadBookingForm()
	{
		$this->setAjax(true);
		
		$event_id = $_GET['event_id'];
		
		$arr = pjEventModel::factory()
			->select("t1.*, t2.content as category, t3.content as title, t4.content as event_description, t5.content as event_location, t6.content as booking_terms")
			->join('pjMultiLang', "t2.foreign_id = t1.category_id AND t2.model = 'pjEvent' AND t2.locale = '".$this->getLocaleId()."' AND t2.field = 'name'", 'left')
			->join('pjMultiLang', "t3.foreign_id = t1.id AND t3.model = 'pjEvent' AND t3.locale = '".$this->getLocaleId()."' AND t3.field = 'title'", 'left')
			->join('pjMultiLang', "t4.foreign_id = t1.id AND t4.model = 'pjEvent' AND t4.locale = '".$this->getLocaleId()."' AND t4.field = 'description'", 'left')
			->join('pjMultiLang', "t5.foreign_id = t1.id AND t5.model = 'pjEvent' AND t5.locale = '".$this->getLocaleId()."' AND t5.field = 'location'", 'left')
			->join('pjMultiLang', "t6.foreign_id = t1.id AND t6.model = 'pjEvent' AND t6.locale = '".$this->getLocaleId()."' AND t6.field = 'terms'", 'left')
			->find($event_id)
			->getData();
		
		$price_arr = pjPriceModel::factory()
			->select("t1.*, t2.content as price_name, 
					(SELECT SUM(cnt) FROM `" .pjBookingDetailModel::factory()->getTable(). "` as `TBD` WHERE `TBD`.price_id = t1.id AND `TBD`.booking_id IN(SELECT `TB`.id FROM `".pjBookingModel::factory()->getTable()."` as `TB` WHERE `TB`.booking_status='confirmed')) as cnt_booked")
			->join('pjMultiLang', "t2.foreign_id = t1.id AND t2.model = 'pjPrice' AND t2.locale = '".$this->getLocaleId()."' AND t2.field = 'name'", 'left')
			->where('event_id', $event_id)
			->findAll()
			->getData();
		
		$country_arr = pjCountryModel::factory()
			->select('t1.id, t2.content AS country_title')
			->join('pjMultiLang', "t2.model='pjCountry' AND t2.foreign_id=t1.id AND t2.field='name' AND t2.locale='".$this->getLocaleId()."'", 'left outer')
			->where('t1.status', 'T')
			->orderBy('`country_title` ASC')
			->findAll()
			->getData();
		
		$this->set('arr', $arr);
		$this->set('price_arr', $price_arr);
		$this->set('country_arr', $country_arr);
	}
	
	public function pjActionLoadBookingSummary()
	{
		$this->setAjax(true);
		
		$event_id = $_GET['event_id'];
		
		$price = $_POST['total_price'];
		$tax = ($price * $this->option_arr['o_tax_payment']) / 100;
		$total = $price + $tax;
		$deposit = ($total * $this->option_arr['o_deposit_payment']) / 100;
		
		$arr = pjEventModel::factory()
			->select("t1.*, t2.content as category, t3.content as title, t4.content as event_description, t5.content as event_location")
			->join('pjMultiLang', "t2.foreign_id = t1.category_id AND t2.model = 'pjEvent' AND t2.locale = '".$this->getLocaleId()."' AND t2.field = 'name'", 'left')
			->join('pjMultiLang', "t3.foreign_id = t1.id AND t3.model = 'pjEvent' AND t3.locale = '".$this->getLocaleId()."' AND t3.field = 'title'", 'left')
			->join('pjMultiLang', "t4.foreign_id = t1.id AND t4.model = 'pjEvent' AND t4.locale = '".$this->getLocaleId()."' AND t4.field = 'description'", 'left')
			->join('pjMultiLang', "t5.foreign_id = t1.id AND t5.model = 'pjEvent' AND t5.locale = '".$this->getLocaleId()."' AND t5.field = 'location'", 'left')
			->find($event_id)
			->getData();
		
		$country_arr = pjCountryModel::factory()
			->select('t1.id, t2.content AS country_title')
			->join('pjMultiLang', "t2.model='pjCountry' AND t2.foreign_id=t1.id AND t2.field='name' AND t2.locale='".$this->getLocaleId()."'", 'left outer')
			->where('t1.status', 'T')
			->orderBy('`country_title` ASC')
			->findAll()
			->getData();
		
		$this->set('arr', $arr);
		$this->set('amount', compact('total', 'tax', 'price', 'deposit'));
		$this->set('country_arr', $country_arr);
	}
	
	public function pjActionBookingSave()
	{
		$this->setAjax(true);
		
		$pjPriceModel = pjPriceModel::factory();
		$pjEventModel = pjEventModel::factory();
		$pjBookingModel = pjBookingModel::factory();
		$pjBookingDetailModel = pjBookingDetailModel::factory();
		$pjBookingTicketModel = pjBookingTicketModel::factory();
		
		$event_id = $_POST['event_id'];
		
		$price = $_POST['total_price'];
		$tax = ($price * $this->option_arr['o_tax_payment']) / 100;
		$total = $price + $tax;
		$deposit = ($total * $this->option_arr['o_deposit_payment']) / 100;
		
		$data = array();
		$data['unique_id'] = pjUtil::getUniqueID();
		$data['booking_status'] = $this->option_arr['o_default_status_if_not_paid'];
		$data['booking_total'] = $total;
		$data['booking_tax'] = $tax;
		$data['booking_deposit'] = $deposit;
		$data['payment_option']= 'deposit';
		$data['customer_ip']= $_SERVER['REMOTE_ADDR'];
		
		if (isset($_POST['payment_method']) && $_POST['payment_method'] == 'creditcard')
		{
			$data['cc_exp'] = $_POST['cc_exp_year'] . '-' . $_POST['cc_exp_month'];
		}
		
		$event_arr = $pjEventModel
			->reset()
			->select('t1.*, t2.content as ticket_detail')
			->join('pjMultiLang', "t2.foreign_id = t1.id AND t2.model = 'pjEvent' AND t2.locale = '".$this->getLocaleId()."' AND t2.field = 'ticket_info'", 'left')
			->find($event_id)
			->getData();
		if (count($event_arr) == 0)
		{
			$insert_id = false;
		} else {
			$insert_id = $pjBookingModel->setAttributes(array_merge($_POST, $data))->insert()->getInsertId();
		}
		if ($insert_id !== false && (int) $insert_id > 0)
		{
			$details = array();
			$tickets = array();
			$customer_people = 0;
			$ticket_number = 1;
			$price_arr = $pjPriceModel->where('event_id', $event_id)->findAll()->getData();
			$details['booking_id'] = $insert_id;
			$tickets['booking_id'] = $insert_id;
			
			foreach($price_arr as $k => $v)
			{
				$price_id = $v['id'];
				if(isset($_POST['price_' . $price_id]))
				{
					if($_POST['price_' . $price_id] > 0)
					{
						$customer_people += $_POST['price_' . $price_id];
					}
				}
				$details['price_id'] = $price_id;
				$details['price'] = $_POST['price_' . $price_id] * $v['price'];
				$details['unit_price'] = $v['price'];
				$details['price_title'] = ':NULL';
				$details['cnt'] = $_POST['price_' . $price_id];
				
				for($i = 1; $i <= $details['cnt']; $i++)
				{
					$tickets['ticket_id'] = $data['unique_id'] . '-' . $ticket_number;
					$tickets['price_id'] = $price_id;
					$tickets['unit_price'] = $v['price'];
					$tickets['price_title'] = ':NULL';
					$pjBookingTicketModel->reset()->setAttributes($tickets)->insert();
					
					$ticket_number++;
				}
				
				$pjBookingDetailModel->reset()->setAttributes($details)->insert();
			}
			$pjBookingModel->reset()->where('id', $insert_id)->limit(1)->modifyAll(array('customer_people' => $customer_people));
			
			$booking_arr = $pjBookingModel
				->reset()
				->select('t1.*, t8.content as event_title, t2.event_start_ts, t2.event_end_ts, t2.o_show_start_time, t2.o_show_end_time, t2.category_id,
						t3.content as country_title, t4.content as o_email_confirmation_subject, 
						t5.content as o_email_confirmation, t6.content as o_email_payment_subject, 
						t7.content as o_email_payment, t9.content as event_location')
				->join('pjEvent', 't1.event_id = t2.id', 'left')
				->join('pjMultiLang', "t3.foreign_id = t1.customer_country AND t3.model = 'pjCountry' AND t3.locale = '".$this->getLocaleId()."' AND t3.field = 'name'", 'left')
				->join('pjMultiLang', "t4.foreign_id = t1.event_id AND t4.model = 'pjEvent' AND t4.locale = '".$this->getLocaleId()."' AND t4.field = 'o_email_confirmation_subject'", 'left')
				->join('pjMultiLang', "t5.foreign_id = t1.event_id AND t5.model = 'pjEvent' AND t5.locale = '".$this->getLocaleId()."' AND t5.field = 'o_email_confirmation'", 'left')
				->join('pjMultiLang', "t6.foreign_id = t1.event_id AND t6.model = 'pjEvent' AND t6.locale = '".$this->getLocaleId()."' AND t6.field = 'o_email_payment_subject'", 'left')
				->join('pjMultiLang', "t7.foreign_id = t1.event_id AND t7.model = 'pjEvent' AND t7.locale = '".$this->getLocaleId()."' AND t7.field = 'o_email_payment'", 'left')
				->join('pjMultiLang', "t8.foreign_id = t1.event_id AND t8.model = 'pjEvent' AND t8.locale = '".$this->getLocaleId()."' AND t8.field = 'title'", 'left')
				->join('pjMultiLang', "t9.foreign_id = t1.event_id AND t9.model = 'pjEvent' AND t9.locale = '".$this->getLocaleId()."' AND t9.field = 'location'", 'left')
				->find($insert_id)->getData();
				
			$ticket_arr = $pjBookingTicketModel
				->reset()
				->select('t1.*, t2.content as price_name')
				->join('pjMultiLang', "t2.foreign_id = t1.price_id AND t2.model = 'pjPrice' AND t2.locale = '".$this->getLocaleId()."' AND t2.field = 'name'", 'left')
				->where('booking_id', $insert_id)
				->findAll()->getData();
						
			$ticket_data = array();
			
			foreach($ticket_arr as $v){
				$v['event_title'] = $booking_arr['event_title'];
				$v['event_datetime'] = pjUtil::getEventDateTime($event_arr['event_start_ts'], $event_arr['event_end_ts'], $this->option_arr['o_date_format'], $this->option_arr['o_time_format'], $event_arr['o_show_start_time'], $event_arr['o_show_end_time']);
				$v['customer_name'] = $booking_arr['customer_name'];
				$v['customer_email'] = $booking_arr['customer_email'];
				$v['ticket_detail'] = $event_arr['ticket_detail'];
				$v['ticket_img'] = $event_arr['ticket_img'];
				$v['unique_id'] = $booking_arr['unique_id'];
				$v['ticket_info'] = $this->getTicketInfo($v);
				$ticket_data[] = $v;
			}
			
			$pjTicketPdf = new pjTicketPdf();
			$pjTicketPdf->generatePdf($ticket_data);
			
			$this->bookingEmail($booking_arr, 'confirmation');
			
			$json = array('code' => 200, 'text' => '', 'booking_id' => $insert_id, 'payment' => @$_POST['payment_method']);
			pjAppController::jsonResponse($json);
		}else{
			$json = array('code' => 100, 'text' => '');
			pjAppController::jsonResponse($json);
		}
		
	}
		
	public function pjActionGetPaymentForm()
	{
		$this->setAjax(true);
		
		if ($this->isXHR())
		{
			$pjBookingModel = pjBookingModel::factory();
			
			$booking_arr = $pjBookingModel
				->reset()
				->select('t1.*, t2.content as event_title')
				->join('pjMultiLang', "t2.foreign_id = t1.event_id AND t2.model = 'pjEvent' AND t2.locale = '".$this->getLocaleId()."' AND t2.field = 'title'", 'left')
				->find($_GET['id'])->getData();
							
			switch ($booking_arr['payment_method'])
			{
				case 'paypal':
					$this->set('params', array(
						'name' => 'pjEbcPaypalForm',
						'id' => 'pjEbcPaypalForm',
						'business' => $this->option_arr['o_paypal_address'],
						'item_name' => $booking_arr['event_title'],
						'custom' => $booking_arr['id'],
						'amount' => $booking_arr['booking_deposit'],
						'currency_code' => $this->option_arr['o_currency'],
						'return' => $this->option_arr['o_thankyou_page'],
						'notify_url' => PJ_INSTALL_URL . 'index.php?controller=pjFront&action=pjActionConfirmPaypal',
						'target' => '_self',
						'charset' => 'utf-8'
					));
					break;
				case 'authorize':
					$this->set('params', array(
						'name' => 'pjEbcAuthorizeForm',
						'id' => 'pjEbcAuthorizeForm',
						'timezone' => $this->option_arr['o_authorize_timezone'],
						'transkey' => $this->option_arr['o_authorize_transkey'],
						'x_login' => $this->option_arr['o_authorize_merchant_id'],
						'x_description' => $booking_arr['event_title'],
						'x_amount' => $booking_arr['booking_deposit'],
						'x_invoice_num' => $booking_arr['id'],
						'x_relay_url' => PJ_INSTALL_URL . 'index.php?controller=pjFront&action=pjActionConfirmAuthorize'
					));
					break;
			}
			
			$this->set('booking_arr', $booking_arr);
			$this->log('submit payment form');
		}
	}
	
	public function pjActionConfirmAuthorize()
	{
		$this->setAjax(true);
		
		if (pjObject::getPlugin('pjAuthorize') === NULL)
		{
			$this->log('Authorize.NET plugin not installed');
			exit;
		}
		$pjBookingModel = pjBookingModel::factory();
		
		$booking_arr = $pjBookingModel
			->select('t1.*, t8.content as event_title, t2.event_start_ts, t2.event_end_ts, 
					t3.content as country_title, t4.content as o_email_confirmation_subject, 
					t5.content as o_email_confirmation, t6.content as o_email_payment_subject, 
					t7.content as o_email_payment, t9.content as event_location')
			->join('pjEvent', 't1.event_id = t2.id', 'left')
			->join('pjMultiLang', "t3.foreign_id = t1.customer_country AND t3.model = 'pjCountry' AND t3.locale = '".$this->getLocaleId()."' AND t3.field = 'name'", 'left')
			->join('pjMultiLang', "t4.foreign_id = t1.event_id AND t4.model = 'pjEvent' AND t4.locale = '".$this->getLocaleId()."' AND t4.field = 'o_email_confirmation_subject'", 'left')
			->join('pjMultiLang', "t5.foreign_id = t1.event_id AND t5.model = 'pjEvent' AND t5.locale = '".$this->getLocaleId()."' AND t5.field = 'o_email_confirmation'", 'left')
			->join('pjMultiLang', "t6.foreign_id = t1.event_id AND t6.model = 'pjEvent' AND t6.locale = '".$this->getLocaleId()."' AND t6.field = 'o_email_payment_subject'", 'left')
			->join('pjMultiLang', "t7.foreign_id = t1.event_id AND t7.model = 'pjEvent' AND t7.locale = '".$this->getLocaleId()."' AND t7.field = 'o_email_payment'", 'left')
			->join('pjMultiLang', "t8.foreign_id = t1.event_id AND t8.model = 'pjEvent' AND t8.locale = '".$this->getLocaleId()."' AND t8.field = 'title'", 'left')
			->join('pjMultiLang', "t9.foreign_id = t1.event_id AND t9.model = 'pjEvent' AND t9.locale = '".$this->getLocaleId()."' AND t9.field = 'location'", 'left')
			->find($_POST['x_invoice_num'])->getData();
		
		if (count($booking_arr) > 0)
		{
			$params = array(
				'transkey' => $this->option_arr['o_authorize_transkey'],
				'x_login' => $this->option_arr['o_authorize_merchant_id'],
				'md5_setting' => $this->option_arr['o_authorize_md5_hash'],
				'key' => md5($this->option_arr['private_key'] . PJ_SALT)
			);
			
			$response = $this->requestAction(array('controller' => 'pjAuthorize', 'action' => 'pjActionConfirm', 'params' => $params), array('return'));
			if ($response !== FALSE && $response['status'] === 'OK')
			{
				$pjBookingModel
					->reset()
					->setAttributes(array('id' => $response['transaction_id']))
					->modify(array('booking_status' => $this->option_arr['o_default_status_if_paid']));
					
				
				$this->bookingEmail($booking_arr, 'payment');
				
			} elseif (!$response) {
				$this->log('Authorization failed');
			} else {
				$this->log('Booking not confirmed. ' . $response['response_reason_text']);
			}
			?>
			<script type="text/javascript">window.location.href="<?php echo $this->option_arr['o_thankyou_page']; ?>";</script>
			<?php
			return;
		}
	}

	public function pjActionConfirmPaypal()
	{
		$this->setAjax(true);
		
		if (pjObject::getPlugin('pjPaypal') === NULL)
		{
			$this->log('Paypal plugin not installed');
			exit;
		}
		$pjBookingModel = pjBookingModel::factory();
		$booking_arr = $pjBookingModel
			->select('t1.*, t8.content as event_title, t2.event_start_ts, t2.event_end_ts, 
					t3.content as country_title, t4.content as o_email_confirmation_subject, 
					t5.content as o_email_confirmation, t6.content as o_email_payment_subject, 
					t7.content as o_email_payment, t9.content as event_location')
			->join('pjEvent', 't1.event_id = t2.id', 'left')
			->join('pjMultiLang', "t3.foreign_id = t1.customer_country AND t3.model = 'pjCountry' AND t3.locale = '".$this->getLocaleId()."' AND t3.field = 'name'", 'left')
			->join('pjMultiLang', "t4.foreign_id = t1.event_id AND t4.model = 'pjEvent' AND t4.locale = '".$this->getLocaleId()."' AND t4.field = 'o_email_confirmation_subject'", 'left')
			->join('pjMultiLang', "t5.foreign_id = t1.event_id AND t5.model = 'pjEvent' AND t5.locale = '".$this->getLocaleId()."' AND t5.field = 'o_email_confirmation'", 'left')
			->join('pjMultiLang', "t6.foreign_id = t1.event_id AND t6.model = 'pjEvent' AND t6.locale = '".$this->getLocaleId()."' AND t6.field = 'o_email_payment_subject'", 'left')
			->join('pjMultiLang', "t7.foreign_id = t1.event_id AND t7.model = 'pjEvent' AND t7.locale = '".$this->getLocaleId()."' AND t7.field = 'o_email_payment'", 'left')
			->join('pjMultiLang', "t8.foreign_id = t1.event_id AND t8.model = 'pjEvent' AND t8.locale = '".$this->getLocaleId()."' AND t8.field = 'title'", 'left')
			->join('pjMultiLang', "t9.foreign_id = t1.event_id AND t9.model = 'pjEvent' AND t9.locale = '".$this->getLocaleId()."' AND t9.field = 'location'", 'left')
			->find($_POST['custom'])->getData();
		
		
		$params = array(
			'txn_id' => @$booking_arr['txn_id'],
			'paypal_address' => $this->option_arr['o_paypal_address'],
			'deposit' => @$booking_arr['booking_deposit'],
			'currency' => $this->option_arr['o_currency'],
			'key' => md5($this->option_arr['private_key'] . PJ_SALT)
		);
		$response = $this->requestAction(array('controller' => 'pjPaypal', 'action' => 'pjActionConfirm', 'params' => $params), array('return'));
		
		if ($response !== FALSE && $response['status'] === 'OK')
		{
			$this->log('Booking confirmed');
			$pjBookingModel->reset()->setAttributes(array('id' => $booking_arr['id']))->modify(array(
				'booking_status' => $this->option_arr['o_default_status_if_paid'],
				'txn_id' => $response['transaction_id'],
				'processed_on' => ':NOW()'
			));
			$this->bookingEmail($booking_arr, 'payment');
			
		} elseif (!$response) {
			$this->log('Authorization failed');
		} else {
			$this->log('Booking not confirmed');
		}
		exit;
	}
	
	public function pjActionCancel()
	{
		if(isset($_POST['booking_cancel']))
		{
			$subject = __('emailCancelSubject',true);
			$message = __('emailCancelBody',true);
			
			if(!empty($subject) && !empty($message))
			{
				$pjBookingModel = pjBookingModel::factory();
				$pjBookingModel->setAttributes(array('id' => $_POST['id']))->modify(array(
					'booking_status' => 'cancelled'
				));
				$arr = $pjBookingModel->reset()->find($_POST['id'])->getData();
				$search = array('{BookingID}');
				$replace = array($arr['unique_id']);
				
				$pjEmail = new pjEmail();
						
				if ($this->option_arr['o_send_email'] == 'smtp')
				{
					$pjEmail
						->setTransport('smtp')
						->setSmtpHost($this->option_arr['o_smtp_host'])
						->setSmtpPort($this->option_arr['o_smtp_port'])
						->setSmtpUser($this->option_arr['o_smtp_user'])
						->setSmtpPass($this->option_arr['o_smtp_pass'])
					;
				}
				$from = $this->getFromEmail();
				$pjEmail->setContentType('text/plain');
				$pjEmail->setFrom($from);
				
				$message = str_replace($search, $replace, $message);
				
				$pjEmail->setSubject($subject);
				
				$to = $from;
				$pjEmail->setTo($to);
				$pjEmail->send($message);
			}	
			pjUtil::redirect($this->option_arr['o_cancel_booking_page']);	
		}else{
			if (isset($_GET['hash']) && isset($_GET['id']))
			{
				$id = $_GET['id'];
				$hash = $_GET['hash'];
				
				$arr = pjBookingModel::factory()
					->select('t1.*, t8.content as event_title, t9.content as description, t2.event_start_ts, t2.event_end_ts, , t2.o_show_start_time, t2.o_show_end_time, t3.content as country_title, t4.content as o_email_confirmation_subject, t5.content as o_email_confirmation, t6.content as o_email_payment_subject, t7.content as o_email_payment')
					->join('pjEvent', 't1.event_id = t2.id', 'left')
					->join('pjMultiLang', "t3.foreign_id = t1.customer_country AND t3.model = 'pjCountry' AND t3.locale = '".$this->getLocaleId()."' AND t3.field = 'name'", 'left')
					->join('pjMultiLang', "t4.foreign_id = t1.event_id AND t4.model = 'pjEvent' AND t4.locale = '".$this->getLocaleId()."' AND t4.field = 'o_email_confirmation_subject'", 'left')
					->join('pjMultiLang', "t5.foreign_id = t1.event_id AND t5.model = 'pjEvent' AND t5.locale = '".$this->getLocaleId()."' AND t5.field = 'o_email_confirmation'", 'left')
					->join('pjMultiLang', "t6.foreign_id = t1.event_id AND t6.model = 'pjEvent' AND t6.locale = '".$this->getLocaleId()."' AND t6.field = 'o_email_payment_subject'", 'left')
					->join('pjMultiLang', "t7.foreign_id = t1.event_id AND t7.model = 'pjEvent' AND t7.locale = '".$this->getLocaleId()."' AND t7.field = 'o_email_payment'", 'left')
					->join('pjMultiLang', "t8.foreign_id = t1.event_id AND t8.model = 'pjEvent' AND t8.locale = '".$this->getLocaleId()."' AND t8.field = 'title'", 'left')
					->join('pjMultiLang', "t9.foreign_id = t1.event_id AND t9.model = 'pjEvent' AND t9.locale = '".$this->getLocaleId()."' AND t9.field = 'description'", 'left')
					->find($id)
					->getData();
				if(count($arr) > 0)
				{
					if($arr['booking_status'] == 'cancelled')
					{
						$this->set('status', 4);
					}else{
						if($hash == md5($arr['id'].$arr['created'].PJ_SALT)){
							$this->set('arr', $arr);
						}else{
							$this->set('status', 3);
						}
					}
				}else{
					$this->set('status', 2);
				}
			} elseif (!isset($_GET['err'])) {
				$this->set('status', 1);
			}
		}
		
		$this->appendCss('front_cancel.css');
	}
	
	static protected function allowCORS()
	{
		if (!isset($_SERVER['HTTP_ORIGIN']))
		{
			return;
		}
		
		header("Access-Control-Allow-Origin: " . $_SERVER['HTTP_ORIGIN']);
		header("Access-Control-Allow-Credentials: true");
		header("Access-Control-Allow-Methods: POST, GET, OPTIONS");
		header("Access-Control-Allow-Headers: Origin, X-Requested-With");
		
		if ($_SERVER['REQUEST_METHOD'] == 'OPTIONS')
		{
			exit;
		}
	}
	
	public function isXHR()
	{
		// CORS
		return parent::isXHR() || isset($_SERVER['HTTP_ORIGIN']);
	}
}
?>